# Leagues and seasons

In the previous chapters, we’ve discussed the basics of our API, how to enrich your request and how to filter your request. Now it’s time to dive deeper into the data you can obtain.

When you have an active football subscription, you probably choose one of our default or custom plans. Each plan has a list of leagues included. Besides the fact that you can view all the leagues you’ve access to via [my.sportmonks,](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/www.my.sportmonks.com) you can also obtain the leagues via our API.

To start with your application, checking all the leagues you’ve access to and their current or historical seasons is recommended. In the next section, we will discuss how you can request your leagues, include data and filter options. After that, we will look at the (historical) seasons.

{% hint style="info" %}
Remember that we’re working with the free plan for all the examples.
{% endhint %}

{% content-ref url="/pages/m9NjyT3YoC6Mw4OfpZo0" %}
[Leagues](/v3/tutorials-and-guides/tutorials/leagues-and-seasons/leagues.md)
{% endcontent-ref %}

{% content-ref url="/pages/bpYXQzUH4ox5TvPGAj8N" %}
[Seasons](/v3/tutorials-and-guides/tutorials/leagues-and-seasons/seasons.md)
{% endcontent-ref %}

### See also

#### Getting started

* [API Structure & Navigation](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/api-structure-and-navigation) - How data is organized
* [Making Your First Request](https://docs.sportmonks.com/v3/welcome/making-your-first-request) - Basic API usage

#### Using leagues & seasons

* [Fixtures Tutorial](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/livescores-and-fixtures/fixtures) - Get fixtures by league/season
* [Season Schedule](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/season-schedule) - View complete season calendars
* [Standings](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/standings) - League tables
* [Statistics](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/statistics/season-statistics) - Season-level statistics

#### Planning your integration

* [Filter and Select](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/filter-and-select-fields) - Filter by specific leagues
* [Data Features Per League](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/data-features-per-league) - What data is available
* [Plan Features](https://docs.sportmonks.com/v3/welcome/getting-started) - Check your league access

#### API reference

* [Leagues Endpoints](https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/leagues) - API documentation
* [Seasons Endpoints](https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/seasons) - Season data access


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/leagues-and-seasons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
